org.apache.xmlbeans.impl.xb.xmlconfig

## Interface Usertypeconfig

All Superinterfaces:
  XmlObject, XmlTokenSource

All Known Implementing Classes:
  UsertypeconfigImpl

    public interface Usertypeconfig
    extends XmlObject

An XML usertypeconfig(@http://xml.apache.org/xmlbeans/2004/02/xbean/config). This is a complex type.

### Field Summary

Fields
`static DocumentFactory<Usertypeconfig>` `Factory`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getJavaname()` Gets the "javaname" attribute
`QName` `getName()` Gets the "name" attribute
`String` `getStaticHandler()` Gets the "staticHandler" element
`boolean` `isSetJavaname()` True if has "javaname" attribute
`boolean` `isSetName()` True if has "name" attribute
`void` `setJavaname(String javaname)` Sets the "javaname" attribute
`void` `setName(QName name)` Sets the "name" attribute
`void` `setStaticHandler(String staticHandler)` Sets the "staticHandler" element
`void` `unsetJavaname()` Unsets the "javaname" attribute
`void` `unsetName()` Unsets the "name" attribute
`XmlString` `xgetJavaname()` Gets (as xml) the "javaname" attribute
`XmlQName` `xgetName()` Gets (as xml) the "name" attribute
`XmlString` `xgetStaticHandler()` Gets (as xml) the "staticHandler" element
`void` `xsetJavaname(XmlString javaname)` Sets (as xml) the "javaname" attribute
`void` `xsetName(XmlQName name)` Sets (as xml) the "name" attribute
`void` `xsetStaticHandler(XmlString staticHandler)` Sets (as xml) the "staticHandler" element

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final DocumentFactory<Usertypeconfig> Factory

#### type

    static final SchemaType type

### Method Detail

#### getStaticHandler

    String getStaticHandler()

Gets the "staticHandler" element

#### xgetStaticHandler

    XmlString xgetStaticHandler()

Gets (as xml) the "staticHandler" element

#### setStaticHandler

    void setStaticHandler(String staticHandler)

Sets the "staticHandler" element

#### xsetStaticHandler

    void xsetStaticHandler(XmlString staticHandler)

Sets (as xml) the "staticHandler" element

#### getName

    QName getName()

Gets the "name" attribute

#### xgetName

    XmlQName xgetName()

Gets (as xml) the "name" attribute

#### isSetName

    boolean isSetName()

True if has "name" attribute

#### setName

    void setName(QName name)

Sets the "name" attribute

#### xsetName

    void xsetName(XmlQName name)

Sets (as xml) the "name" attribute

#### unsetName

    void unsetName()

Unsets the "name" attribute

#### getJavaname

    String getJavaname()

Gets the "javaname" attribute

#### xgetJavaname

    XmlString xgetJavaname()

Gets (as xml) the "javaname" attribute

#### isSetJavaname

    boolean isSetJavaname()

True if has "javaname" attribute

#### setJavaname

    void setJavaname(String javaname)

Sets the "javaname" attribute

#### xsetJavaname

    void xsetJavaname(XmlString javaname)

Sets (as xml) the "javaname" attribute

#### unsetJavaname

    void unsetJavaname()

Unsets the "javaname" attribute